--- old/usr/src/cmd/awk/Makefile	2016-02-12 11:52:28.805522383 -0500
+++ new/usr/src/cmd/awk/Makefile	2016-02-12 11:52:28.820495962 -0500
@@ -77,7 +77,7 @@
 	rm -f $@; ./maketab > $@
 
 maketab: maketab.c
-	$(NATIVECC) -O maketab.c -o $@ $(LDLIBS)
+	$(NATIVECC) $(NATIVE_CFLAGS) maketab.c -o $@ $(LDLIBS)
 
 install: all $(ROOTPROG) $(ROOTLINK)
 
--- old/usr/src/cmd/sgs/elfdump/Makefile.targ	2016-02-12 11:52:29.281992125 -0500
+++ new/usr/src/cmd/sgs/elfdump/Makefile.targ	2016-02-12 11:52:29.294674535 -0500
@@ -65,7 +65,7 @@
 gen_layout_obj.o := POST_PROCESS_O = $(CTFCONVERT_O)
 
 gen_struct_layout:	../common/gen_struct_layout.c
-		$(NATIVECC) $(NATIVECC_CFLAGS) -o $@ \
+		$(NATIVECC) $(NATIVE_CFLAGS) -o $@ \
 			../common/gen_struct_layout.c -lctf
 
 clean:
--- old/usr/src/cmd/sgs/tools/Makefile.com	2016-02-12 11:52:29.703614487 -0500
+++ new/usr/src/cmd/sgs/tools/Makefile.com	2016-02-12 11:52:29.718023083 -0500
@@ -44,7 +44,6 @@
 NATOBJS=	piglatin.o
 
 OBJECTS=	$(COMOBJS)  $(NATOBJS)
-NATIVECC_CFLAGS = -O
 
 AVLOBJ=		avl.o
 TOOL_OBJS=	sgsmsg.o string_table.o findprime.o assfail.o
@@ -52,7 +51,7 @@
 SGSMSG_SRCS=	$(TOOL_OBJS:%.o=../common/%.c) \
 		$(AVLOBJ:%.o=$(VAR_AVLDIR)/%.c)
 
-$(SGSMSG_OBJS) := NATIVECC_CFLAGS += -I../../include $(VAR_TOOLS_CPPFLAGS)
+$(SGSMSG_OBJS) := NATIVE_CFLAGS += -I../../include $(VAR_TOOLS_CPPFLAGS)
 
 PROGS=		$(COMOBJS:%.o=%)
 NATIVE=		$(NATOBJS:%.o=%) sgsmsg
--- old/usr/src/cmd/sgs/tools/Makefile.targ	2016-02-12 11:52:30.129181510 -0500
+++ new/usr/src/cmd/sgs/tools/Makefile.targ	2016-02-12 11:52:30.142216413 -0500
@@ -20,12 +20,10 @@
 # CDDL HEADER END
 #
 #
-# ident	"%Z%%M%	%I%	%E% SMI"
 #
 # Copyright 2003 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-# cmd/sgs/tools/Makefile.targ
 
 
 $(ROOTDIR)/bin/%:	%
@@ -35,22 +33,22 @@
 		$(INS.file)
 
 sgsmsg:		$(SGSMSG_OBJS)
-		$(NATIVECC) $(DEBUG) $(NATIVECC_CFLAGS) \
+		$(NATIVECC) $(DEBUG) $(NATIVE_CFLAGS) \
 			-o $@ $(SGSMSG_OBJS)
 
 sgsmsg.o:	../common/sgsmsg.c
-		$(NATIVECC) $(DEBUG) $(NATIVECC_CFLAGS) -c ../common/sgsmsg.c
+		$(NATIVECC) $(DEBUG) $(NATIVE_CFLAGS) -c ../common/sgsmsg.c
 
 string_table.o:	../common/string_table.c
-		$(NATIVECC) $(DEBUG) $(NATIVECC_CFLAGS) -c \
+		$(NATIVECC) $(DEBUG) $(NATIVE_CFLAGS) -c \
 		    ../common/string_table.c
 
 avl.o:		$(VAR_AVLDIR)/avl.c
-		$(NATIVECC) $(DEBUG) $(NATIVECC_CFLAGS) -c \
+		$(NATIVECC) $(DEBUG) $(NATIVE_CFLAGS) -c \
 		    $(VAR_AVLDIR)/avl.c
 
 piglatin:	../common/piglatin.c
-		$(NATIVECC) $(NATIVECC_CFLAGS) -o $@ ../common/piglatin.c
+		$(NATIVECC) $(NATIVE_CFLAGS) -o $@ ../common/piglatin.c
 
 %:		%.o
 		$(LINK.c) -o $@ $< $(LDLIBS)
--- old/usr/src/cmd/sgs/tools/common/sgsmsg.c	2016-02-12 11:52:30.571430249 -0500
+++ new/usr/src/cmd/sgs/tools/common/sgsmsg.c	2016-02-12 11:52:30.584934359 -0500
@@ -665,6 +665,7 @@
 	uint_t	bufsize;
 	char	*token_buffer;
 	int	escape = 0;
+	int	len = 0;
 
 	if ((token_buffer = malloc(LINE_MAX)) == 0) {
 		(void) fprintf(stderr, Errmsg_nmem, strerror(errno));
@@ -676,7 +677,6 @@
 
 	while ((token = fgets(buffer, LINE_MAX, fddesc)) != NULL) {
 		char	defn[PATH_MAX], * _defn, * str;
-		int	len;
 
 		switch (*token) {
 		case '#':
--- old/usr/src/cmd/zic/Makefile	2016-02-12 11:52:31.222572020 -0500
+++ new/usr/src/cmd/zic/Makefile	2016-02-12 11:52:31.235184350 -0500
@@ -66,7 +66,7 @@
 	$(NPROG) -d $(ROOTTZD) $(TZFILES)
 
 $(NPROG): $(NATIVE) $(NOBJS)
-	$(NATIVECC) -o $@ $(NOBJS)
+	$(NATIVECC) $(NATIVE_CFLAGS) -o $@ $(NOBJS)
 
 #
 # XXX
@@ -95,16 +95,10 @@
 lint: lint_SRCS
 
 $(NOBJS): $$(@F:.o=.c)
-	$(NATIVECC) -O $(NCPPFLAGS) -c -o $@ $(@F:.o=.c)
+	$(NATIVECC) -O $(NATIVE_CFLAGS) $(NCPPFLAGS) -c -o $@ $(@F:.o=.c)
 
 $(NATIVE)/zic.o: $(NATIVE)/tzfile.h
 
-#$(NATIVE)/scheck.o: scheck.c
-#	$(NATIVECC) -c -o $@ scheck.c
-
-#$(NATIVE)/ialloc.o: ialloc.c
-#	$(NATIVECC) -c -o $@ ialloc.c
-
 $(NATIVE)/tzfile.h: $(ROOT)/usr/include/tzfile.h
 	$(RM) $@; cp $(ROOT)/usr/include/tzfile.h $@
 
--- old/usr/src/grub/grub-0.97/Makefile.solaris.defs	2016-02-12 11:52:31.646266999 -0500
+++ new/usr/src/grub/grub-0.97/Makefile.solaris.defs	2016-02-12 11:52:31.658793821 -0500
@@ -42,7 +42,7 @@
 OPTION_FS	= $(POUND_SIGN)
 
 
-BASE_CFLAGS	= -B$(GCC_ROOT)/bin/ -g $(CPPFLAGS) $(OPTFLAGS)
+BASE_CFLAGS	= -B$(GCC_ROOT)/bin/ -g $(CPPFLAGS) $(OPTFLAGS) -std=gnu89
 BASE_CCASFLAGS	= -B$(GCC_ROOT)/bin/ -g $(CPPFLAGS) $(OPTFLAGS)
 BASE_LDFLAGS	=
 
--- old/usr/src/grub/grub-0.97/netboot/io.h	2016-02-12 11:52:32.070558100 -0500
+++ new/usr/src/grub/grub-0.97/netboot/io.h	2016-02-12 11:52:32.083105879 -0500
@@ -1,7 +1,8 @@
+#include <sys/ccompile.h>
+
 #ifndef	IO_H
 #define IO_H
 
-
 /* Amount of relocation etherboot is experiencing */
 extern unsigned long virt_offset;
 
@@ -107,7 +108,7 @@
  * Some non intel clones support out of order store. wmb() ceases to be a
  * nop for these.
  */
- 
+
 #define mb() 	__asm__ __volatile__ ("lock; addl $0,0(%%esp)": : :"memory")
 #define rmb()	mb()
 #define wmb()	mb();
@@ -119,7 +120,8 @@
 
 #define __OUT1(s,x) \
 extern void __out##s(unsigned x value, unsigned short port); \
-extern inline void __out##s(unsigned x value, unsigned short port) {
+extern __GNU_INLINE \
+void __out##s(unsigned x value, unsigned short port) {
 
 #define __OUT2(s,s1,s2) \
 __asm__ __volatile__ ("out" #s " %" s1 "0,%" s2 "1"
@@ -132,7 +134,8 @@
 
 #define __IN1(s,x) \
 extern unsigned x __in##s(unsigned short port); \
-extern inline unsigned x __in##s(unsigned short port) { unsigned x _v;
+extern __GNU_INLINE \
+unsigned x __in##s(unsigned short port) { unsigned x _v;
 
 #define __IN2(s,s1,s2) \
 __asm__ __volatile__ ("in" #s " %" s2 "1,%" s1 "0"
@@ -145,13 +148,15 @@
 
 #define __INS(s) \
 extern void ins##s(unsigned short port, void * addr, unsigned long count); \
-extern inline void ins##s(unsigned short port, void * addr, unsigned long count) \
+extern __GNU_INLINE \
+void ins##s(unsigned short port, void * addr, unsigned long count)	\
 { __asm__ __volatile__ ("cld ; rep ; ins" #s \
 : "=D" (addr), "=c" (count) : "d" (port),"0" (addr),"1" (count)); }
 
 #define __OUTS(s) \
 extern void outs##s(unsigned short port, const void * addr, unsigned long  count); \
-extern inline void outs##s(unsigned short port, const void * addr, unsigned long count) \
+extern __GNU_INLINE \
+void outs##s(unsigned short port, const void * addr, unsigned long count) \
 { __asm__ __volatile__ ("cld ; rep ; outs" #s \
 : "=S" (addr), "=c" (count) : "d" (port),"0" (addr),"1" (count)); }
 
--- old/usr/src/lib/libc/amd64/Makefile	2016-02-12 11:52:32.506833977 -0500
+++ new/usr/src/lib/libc/amd64/Makefile	2016-02-12 11:52:32.520155865 -0500
@@ -1227,7 +1227,7 @@
 GENASSYM_C = genassym.c
 
 genassym: $(GENASSYM_C)
-	$(NATIVECC) -Iinc -I$(LIBCDIR)/inc $(CPPFLAGS.native)	\
+	$(NATIVECC) $(NATIVE_CFLAGS) -Iinc -I$(LIBCDIR)/inc $(CPPFLAGS.native) \
 		-o $@ $(GENASSYM_C)
 
 OFFSETS = $(LIBCDIR)/$(MACH)/offsets.in
--- old/usr/src/lib/libc/i386/Makefile.com	2016-02-12 11:52:33.012908764 -0500
+++ new/usr/src/lib/libc/i386/Makefile.com	2016-02-12 11:52:33.025482191 -0500
@@ -1308,7 +1308,7 @@
 GENASSYM_C = $(LIBCDIR)/$(MACH)/genassym.c
 
 genassym: $(GENASSYM_C)
-	$(NATIVECC) -I$(LIBCBASE)/inc -I$(LIBCDIR)/inc	\
+	$(NATIVECC) $(NATIVE_CFLAGS) -I$(LIBCBASE)/inc -I$(LIBCDIR)/inc	\
 		-D__EXTENSIONS__ $(CPPFLAGS.native) -o $@ $(GENASSYM_C)
 
 OFFSETS = $(LIBCDIR)/$(MACH)/offsets.in
--- old/usr/src/lib/libc/sparc/Makefile.com	2016-02-12 11:52:33.556496193 -0500
+++ new/usr/src/lib/libc/sparc/Makefile.com	2016-02-12 11:52:33.568848323 -0500
@@ -1386,7 +1386,7 @@
 GENASSYM_C = $(LIBCDIR)/$(MACH)/genassym.c
 
 genassym: $(GENASSYM_C)
-	$(NATIVECC) -I$(LIBCBASE)/inc -I$(LIBCDIR)/inc \
+	$(NATIVECC) $(NATIVE_CFLAGS) -I$(LIBCBASE)/inc -I$(LIBCDIR)/inc \
 		$(CPPFLAGS.native) -o $@ $(GENASSYM_C)
 
 OFFSETS = $(LIBCDIR)/$(MACH)/offsets.in
--- old/usr/src/lib/libc/sparcv9/Makefile.com	2016-02-12 11:52:34.059794302 -0500
+++ new/usr/src/lib/libc/sparcv9/Makefile.com	2016-02-12 11:52:34.072463061 -0500
@@ -1300,7 +1300,7 @@
 GENASSYM_C = $(LIBCDIR)/$(MACH)/genassym.c
 
 genassym: $(GENASSYM_C)
-	$(NATIVECC) -I$(LIBCBASE)/inc -I$(LIBCDIR)/inc \
+	$(NATIVECC) $(NATIVE_CFLAGS) -I$(LIBCBASE)/inc -I$(LIBCDIR)/inc \
 		$(CPPFLAGS.native) -o $@ $(GENASSYM_C)
 
 OFFSETS = $(LIBCDIR)/$(MACH)/offsets.in
--- old/usr/src/lib/libm/Makefile.libm.com	2016-02-12 11:52:34.562950537 -0500
+++ new/usr/src/lib/libm/Makefile.libm.com	2016-02-12 11:52:34.575429172 -0500
@@ -23,13 +23,19 @@
 ASSUFFIX_i386	= s
 ASSUFFIX	= $(ASSUFFIX_$(MACH))
 
-# C99MODE of neither enabled nor disabled is "no_lib", whereby we expect
-# C99-the-language, but don't modify the behaviour of library routines.  This
-# is VERY IMPORTANT, as -xc99=%all, for instance, would link us with
+# With studio C99MODE of neither enabled nor disabled is "no_lib", whereby we
+# expect C99-the-language, but don't modify the behaviour of library routines.
+# This is VERY IMPORTANT, as -xc99=%all, for instance, would link us with
 # values-xpg6, which would introduce an __xpg6 to our object with the C99
 # flags set, causing us to default C99 libm behaviour on, breaking
 # compatibility.
+#
+# We must then, unfortunately, defeat the GNU compiler _defaulting_ to C99, by
+# in that case setting it back to gnu89, which _also_ accepts C99 syntax as
+# far as is important.
 C99MODE		=
+CFLAGS		+= -_gcc=-std=gnu89
+CFLAGS64	+= -_gcc=-std=gnu89
 
 M4FLAGS		= -D__STDC__ -DPIC
 
@@ -49,7 +55,7 @@
 # GCC needs __C99FEATURES__ such that the implementations of isunordered,
 # isgreaterequal, islessequal, etc, exist.  This is basically equivalent to
 # providing no -xc99 to Studio, in that it gets us the C99 language features,
-# but not values-xpg6, the reason for which is outline with C99MODE.
+# but not values-xpg6, the reason for which is outlined with C99MODE.
 CFLAGS		+= -_gcc=-D__C99FEATURES__
 CFLAGS64	+= -_gcc=-D__C99FEATURES__
 
--- old/usr/src/lib/libm/amd64/src/libm_inlines.h	2016-02-12 11:52:34.986257808 -0500
+++ new/usr/src/lib/libm/amd64/src/libm_inlines.h	2016-02-12 11:52:34.999216111 -0500
@@ -45,7 +45,7 @@
 #include <sys/types.h>
 #include <sys/ieeefp.h>
 
-extern __inline__ float
+extern __GNU_INLINE float
 __inline_sqrtf(float a)
 {
 	float ret;
@@ -54,7 +54,7 @@
 	return (ret);
 }
 
-extern __inline__ double
+extern __GNU_INLINE double
 __inline_sqrt(double a)
 {
 	double ret;
@@ -63,7 +63,7 @@
 	return (ret);
 }
 
-extern __inline__ double
+extern __GNU_INLINE double
 __ieee754_sqrt(double a)
 {
 	return (__inline_sqrt(a));
@@ -75,7 +75,7 @@
  * 10 - 53 bits
  * 11 - 64 bits
  */
-extern __inline__ int
+extern __GNU_INLINE int
 __swapRP(int i)
 {
 	int ret;
@@ -97,7 +97,7 @@
  * 10 - Round up
  * 11 - Chop
  */
-extern __inline__ enum fp_direction_type
+extern __GNU_INLINE enum fp_direction_type
 __swap87RD(enum fp_direction_type i)
 {
 	int ret;
@@ -113,7 +113,7 @@
 	return (ret);
 }
 
-extern __inline__ int
+extern __GNU_INLINE int
 abs(int i)
 {
 	int ret;
@@ -127,7 +127,7 @@
 	return (ret);
 }
 
-extern __inline__ double
+extern __GNU_INLINE double
 copysign(double d1, double d2)
 {
 	double tmpd;
@@ -143,7 +143,7 @@
 	return (d1);
 }
 
-extern __inline__ double
+extern __GNU_INLINE double
 fabs(double d)
 {
 	double tmp;
@@ -157,7 +157,7 @@
 	return (d);
 }
 
-extern __inline__ float
+extern __GNU_INLINE float
 fabsf(float d)
 {
 	__asm__ __volatile__(
@@ -168,7 +168,7 @@
 	return (d);
 }
 
-extern __inline__ int
+extern __GNU_INLINE int
 finite(double d)
 {
 	long ret = 0x7fffffffffffffff;
@@ -187,7 +187,7 @@
 	return (ret);
 }
 
-extern __inline__ int
+extern __GNU_INLINE int
 signbit(double d)
 {
 	long ret;
@@ -200,13 +200,13 @@
 	return (ret);
 }
 
-extern __inline__ double
+extern __GNU_INLINE double
 sqrt(double d)
 {
 	return (__inline_sqrt(d));
 }
 
-extern __inline__ float
+extern __GNU_INLINE float
 sqrtf(float f)
 {
 	return (__inline_sqrtf(f));
--- old/usr/src/lib/libm/common/m9x/fenv_inlines.h	2016-02-12 11:52:35.430400201 -0500
+++ new/usr/src/lib/libm/common/m9x/fenv_inlines.h	2016-02-12 11:52:35.442855658 -0500
@@ -39,7 +39,7 @@
 	} words;
 };
 
-extern __inline__ void
+extern __GNU_INLINE void
 __fenv_getcwsw(unsigned int *value)
 {
 	union fp_cwsw *u = (union fp_cwsw *)value;
@@ -50,7 +50,7 @@
 	    : "=m" (u->words.cw), "=m" (u->words.sw));
 }
 
-extern __inline__ void
+extern __GNU_INLINE void
 __fenv_setcwsw(const unsigned int *value)
 {
 	union fp_cwsw cwsw;
@@ -71,19 +71,19 @@
 	      "st(6)", "st(7)");
 }
 
-extern __inline__ void
+extern __GNU_INLINE void
 __fenv_getmxcsr(unsigned int *value)
 {
 	__asm__ __volatile__("stmxcsr %0" : "=m" (*value));
 }
 
-extern __inline__ void
+extern __GNU_INLINE void
 __fenv_setmxcsr(const unsigned int *value)
 {
 	__asm__ __volatile__("ldmxcsr %0" : : "m" (*value));
 }
 
-extern __inline__ long double
+extern __GNU_INLINE long double
 f2xm1(long double x)
 {
 	long double ret;
@@ -92,7 +92,7 @@
 	return (ret);
 }
 
-extern __inline__ long double
+extern __GNU_INLINE long double
 fyl2x(long double y, long double x)
 {
 	long double ret;
@@ -104,7 +104,7 @@
 	return (ret);
 }
 
-extern __inline__ long double
+extern __GNU_INLINE long double
 fptan(long double x)
 {
 	/*
@@ -121,7 +121,7 @@
 	return (ret);
 }
 
-extern __inline__ long double
+extern __GNU_INLINE long double
 fpatan(long double x, long double y)
 {
 	long double ret;
@@ -133,28 +133,28 @@
 	return (ret);
 }
 
-extern __inline__ long double
+extern __GNU_INLINE long double
 fxtract(long double x)
 {
 	__asm__ __volatile__("fxtract" : "+t" (x) : : "cc");
 	return (x);
 }
 
-extern __inline__ long double
+extern __GNU_INLINE long double
 fprem1(long double idend, long double div)
 {
 	__asm__ __volatile__("fprem1" : "+t" (div) : "u" (idend) : "cc");
 	return (div);
 }
 
-extern __inline__ long double
+extern __GNU_INLINE long double
 fprem(long double idend, long double div)
 {
 	__asm__ __volatile__("fprem" : "+t" (div) : "u" (idend) : "cc");
 	return (div);
 }
 
-extern __inline__ long double
+extern __GNU_INLINE long double
 fyl2xp1(long double y, long double x)
 {
 	long double ret;
@@ -166,14 +166,14 @@
 	return (ret);
 }
 
-extern __inline__ long double
+extern __GNU_INLINE long double
 fsqrt(long double x)
 {
 	__asm__ __volatile__("fsqrt" : "+t" (x) : : "cc");
 	return (x);
 }
 
-extern __inline__ long double
+extern __GNU_INLINE long double
 fsincos(long double x)
 {
 	long double dummy;
@@ -182,14 +182,14 @@
 	return (x);
 }
 
-extern __inline__ long double
+extern __GNU_INLINE long double
 frndint(long double x)
 {
 	__asm__ __volatile__("frndint" : "+t" (x) : : "cc");
 	return (x);
 }
 
-extern __inline__ long double
+extern __GNU_INLINE long double
 fscale(long double x, long double y)
 {
 	long double ret;
@@ -198,21 +198,21 @@
 	return (ret);
 }
 
-extern __inline__ long double
+extern __GNU_INLINE long double
 fsin(long double x)
 {
 	__asm__ __volatile__("fsin" : "+t" (x) : : "cc");
 	return (x);
 }
 
-extern __inline__ long double
+extern __GNU_INLINE long double
 fcos(long double x)
 {
 	__asm__ __volatile__("fcos" : "+t" (x) : : "cc");
 	return (x);
 }
 
-extern __inline__ void
+extern __GNU_INLINE void
 sse_cmpeqss(float *f1, float *f2, int *i1)
 {
 	__asm__ __volatile__(
@@ -223,7 +223,7 @@
 	    : "cc");
 }
 
-extern __inline__ void
+extern __GNU_INLINE void
 sse_cmpltss(float *f1, float *f2, int *i1)
 {
 	__asm__ __volatile__(
@@ -234,7 +234,7 @@
 	    : "cc");
 }
 
-extern __inline__ void
+extern __GNU_INLINE void
 sse_cmpless(float *f1, float *f2, int *i1)
 {
 	__asm__ __volatile__(
@@ -245,7 +245,7 @@
 	    : "cc");
 }
 
-extern __inline__ void
+extern __GNU_INLINE void
 sse_cmpunordss(float *f1, float *f2, int *i1)
 {
 	__asm__ __volatile__(
@@ -256,7 +256,7 @@
 	    : "cc");
 }
 
-extern __inline__ void
+extern __GNU_INLINE void
 sse_minss(float *f1, float *f2, float *f3)
 {
 	__asm__ __volatile__(
@@ -266,7 +266,7 @@
 	    : "x" (*f2));
 }
 
-extern __inline__ void
+extern __GNU_INLINE void
 sse_maxss(float *f1, float *f2, float *f3)
 {
 	__asm__ __volatile__(
@@ -276,7 +276,7 @@
 	    : "x" (*f2));
 }
 
-extern __inline__ void
+extern __GNU_INLINE void
 sse_addss(float *f1, float *f2, float *f3)
 {
 	__asm__ __volatile__(
@@ -286,7 +286,7 @@
 	    : "x" (*f2));
 }
 
-extern __inline__ void
+extern __GNU_INLINE void
 sse_subss(float *f1, float *f2, float *f3)
 {
 	__asm__ __volatile__(
@@ -296,7 +296,7 @@
 	    : "x" (*f2));
 }
 
-extern __inline__ void
+extern __GNU_INLINE void
 sse_mulss(float *f1, float *f2, float *f3)
 {
 	__asm__ __volatile__(
@@ -306,7 +306,7 @@
 	    : "x" (*f2));
 }
 
-extern __inline__ void
+extern __GNU_INLINE void
 sse_divss(float *f1, float *f2, float *f3)
 {
 	__asm__ __volatile__(
@@ -316,7 +316,7 @@
 	    : "x" (*f2));
 }
 
-extern __inline__ void
+extern __GNU_INLINE void
 sse_sqrtss(float *f1, float *f2)
 {
 	double tmp;
@@ -328,20 +328,20 @@
 	    : "m" (*f1));
 }
 
-extern __inline__ void
+extern __GNU_INLINE void
 sse_ucomiss(float *f1, float *f2)
 {
 	__asm__ __volatile__("ucomiss %1, %0" : : "x" (*f1), "x" (*f2));
 
 }
 
-extern __inline__ void
+extern __GNU_INLINE void
 sse_comiss(float *f1, float *f2)
 {
 	__asm__ __volatile__("comiss %1, %0" : : "x" (*f1), "x" (*f2));
 }
 
-extern __inline__ void
+extern __GNU_INLINE void
 sse_cvtss2sd(float *f1, double *d1)
 {
 	double tmp;
@@ -353,7 +353,7 @@
 	    : "m" (*f1));
 }
 
-extern __inline__ void
+extern __GNU_INLINE void
 sse_cvtsi2ss(int *i1, float *f1)
 {
 	double tmp;
@@ -365,7 +365,7 @@
 	    : "m" (*i1));
 }
 
-extern __inline__ void
+extern __GNU_INLINE void
 sse_cvttss2si(float *f1, int *i1)
 {
 	int tmp;
@@ -377,7 +377,7 @@
 	    : "m" (*f1));
 }
 
-extern __inline__ void
+extern __GNU_INLINE void
 sse_cvtss2si(float *f1, int *i1)
 {
 	int tmp;
@@ -390,7 +390,7 @@
 }
 
 #if defined(__amd64)
-extern __inline__ void
+extern __GNU_INLINE void
 sse_cvtsi2ssq(long long *ll1, float *f1)
 {
 	double tmp;
@@ -402,7 +402,7 @@
 	    : "m" (*ll1));
 }
 
-extern __inline__ void
+extern __GNU_INLINE void
 sse_cvttss2siq(float *f1, long long *ll1)
 {
 	uint64_t tmp;
@@ -414,7 +414,7 @@
 	    : "m" (*f1));
 }
 
-extern __inline__ void
+extern __GNU_INLINE void
 sse_cvtss2siq(float *f1, long long *ll1)
 {
 	uint64_t tmp;
@@ -428,7 +428,7 @@
 
 #endif
 
-extern __inline__ void
+extern __GNU_INLINE void
 sse_cmpeqsd(double *d1, double *d2, long long *ll1)
 {
 	__asm__ __volatile__(
@@ -438,7 +438,7 @@
 	    : "x" (*d2));
 }
 
-extern __inline__ void
+extern __GNU_INLINE void
 sse_cmpltsd(double *d1, double *d2, long long *ll1)
 {
 	__asm__ __volatile__(
@@ -448,7 +448,7 @@
 	    : "x" (*d2));
 }
 
-extern __inline__ void
+extern __GNU_INLINE void
 sse_cmplesd(double *d1, double *d2, long long *ll1)
 {
 	__asm__ __volatile__(
@@ -458,7 +458,7 @@
 	    : "x" (*d2));
 }
 
-extern __inline__ void
+extern __GNU_INLINE void
 sse_cmpunordsd(double *d1, double *d2, long long *ll1)
 {
 	__asm__ __volatile__(
@@ -469,7 +469,7 @@
 }
 
 
-extern __inline__ void
+extern __GNU_INLINE void
 sse_minsd(double *d1, double *d2, double *d3)
 {
 	__asm__ __volatile__(
@@ -479,7 +479,7 @@
 	    : "x" (*d2));
 }
 
-extern __inline__ void
+extern __GNU_INLINE void
 sse_maxsd(double *d1, double *d2, double *d3)
 {
 	__asm__ __volatile__(
@@ -489,7 +489,7 @@
 	    : "x" (*d2));
 }
 
-extern __inline__ void
+extern __GNU_INLINE void
 sse_addsd(double *d1, double *d2, double *d3)
 {
 	__asm__ __volatile__(
@@ -499,7 +499,7 @@
 	    : "x" (*d2));
 }
 
-extern __inline__ void
+extern __GNU_INLINE void
 sse_subsd(double *d1, double *d2, double *d3)
 {
 	__asm__ __volatile__(
@@ -509,7 +509,7 @@
 	    : "x" (*d2));
 }
 
-extern __inline__ void
+extern __GNU_INLINE void
 sse_mulsd(double *d1, double *d2, double *d3)
 {
 	__asm__ __volatile__(
@@ -519,7 +519,7 @@
 	    : "x" (*d2));
 }
 
-extern __inline__ void
+extern __GNU_INLINE void
 sse_divsd(double *d1, double *d2, double *d3)
 {
 	__asm__ __volatile__(
@@ -529,7 +529,7 @@
 	    : "x" (*d2));
 }
 
-extern __inline__ void
+extern __GNU_INLINE void
 sse_sqrtsd(double *d1, double *d2)
 {
 	double tmp;
@@ -541,19 +541,19 @@
 	    : "m" (*d1));
 }
 
-extern __inline__ void
+extern __GNU_INLINE void
 sse_ucomisd(double *d1, double *d2)
 {
 	__asm__ __volatile__("ucomisd %1, %0" : : "x" (*d1), "x" (*d2));
 }
 
-extern __inline__ void
+extern __GNU_INLINE void
 sse_comisd(double *d1, double *d2)
 {
 	__asm__ __volatile__("comisd %1, %0" : : "x" (*d1), "x" (*d2));
 }
 
-extern __inline__ void
+extern __GNU_INLINE void
 sse_cvtsd2ss(double *d1, float *f1)
 {
 	double tmp;
@@ -565,7 +565,7 @@
 	    : "m" (*d1));
 }
 
-extern __inline__ void
+extern __GNU_INLINE void
 sse_cvtsi2sd(int *i1, double *d1)
 {
 	double tmp;
@@ -576,7 +576,7 @@
 	    : "m" (*i1));
 }
 
-extern __inline__ void
+extern __GNU_INLINE void
 sse_cvttsd2si(double *d1, int *i1)
 {
 	int tmp;
@@ -588,7 +588,7 @@
 	    : "m" (*d1));
 }
 
-extern __inline__ void
+extern __GNU_INLINE void
 sse_cvtsd2si(double *d1, int *i1)
 {
 	int tmp;
@@ -601,7 +601,7 @@
 }
 
 #if defined(__amd64)
-extern __inline__ void
+extern __GNU_INLINE void
 sse_cvtsi2sdq(long long *ll1, double *d1)
 {
 	double tmp;
@@ -613,7 +613,7 @@
 	    : "m" (*ll1));
 }
 
-extern __inline__ void
+extern __GNU_INLINE void
 sse_cvttsd2siq(double *d1, long long *ll1)
 {
 	uint64_t tmp;
@@ -625,7 +625,7 @@
 	    : "m" (*d1));
 }
 
-extern __inline__ void
+extern __GNU_INLINE void
 sse_cvtsd2siq(double *d1, long long *ll1)
 {
 	uint64_t tmp;
@@ -639,37 +639,37 @@
 #endif
 
 #elif defined(__sparc)
-extern __inline__ void
+extern __GNU_INLINE void
 __fenv_getfsr(unsigned long *l)
 {
 	__asm__ __volatile__(
 #if defined(__sparcv9)
-		"stx %%fsr,%0\n\t"
+	    "stx %%fsr,%0\n\t"
 #else
-		"st  %%fsr,%0\n\t"
+	    "st  %%fsr,%0\n\t"
 #endif
-		: "=m" (*l));
+	    : "=m" (*l));
 }
 
-extern __inline__ void
+extern __GNU_INLINE void
 __fenv_setfsr(const unsigned long *l)
 {
 	__asm__ __volatile__(
 #if defined(__sparcv9)
-		"ldx %0,%%fsr\n\t"
+	    "ldx %0,%%fsr\n\t"
 #else
-		"ld %0,%%fsr\n\t"
+	    "ld %0,%%fsr\n\t"
 #endif
-		: : "m" (*l) : "cc");
+	    : : "m" (*l) : "cc");
 }
 
-extern __inline__ void
+extern __GNU_INLINE void
 __fenv_getfsr32(unsigned int *l)
 {
 	__asm__ __volatile__("st %%fsr,%0\n\t" : "=m" (*l));
 }
 
-extern __inline__ void
+extern __GNU_INLINE void
 __fenv_setfsr32(const unsigned int *l)
 {
 	__asm__ __volatile__("ld %0,%%fsr\n\t" : : "m" (*l));
--- old/usr/src/lib/libm/i386/src/libm_inlines.h	2016-02-12 11:52:35.962470545 -0500
+++ new/usr/src/lib/libm/i386/src/libm_inlines.h	2016-02-12 11:52:35.975032236 -0500
@@ -46,7 +46,7 @@
 #define	_HI_WORD(x)	((uint32_t *)&x)[1]
 #define	_HIER_WORD(x)	((uint32_t *)&x)[2]
 
-extern __inline__ double
+extern __GNU_INLINE double
 __inline_sqrt(double a)
 {
 	double ret;
@@ -55,13 +55,13 @@
 	return (ret);
 }
 
-extern __inline__ double
+extern __GNU_INLINE double
 __ieee754_sqrt(double a)
 {
 	return (__inline_sqrt(a));
 }
 
-extern __inline__ float
+extern __GNU_INLINE float
 __inline_sqrtf(float a)
 {
 	float ret;
@@ -70,7 +70,7 @@
 	return (ret);
 }
 
-extern __inline__ double
+extern __GNU_INLINE double
 __inline_rint(double a)
 {
 	__asm__ __volatile__(
@@ -92,7 +92,7 @@
  * 10 - 53 bits
  * 11 - 64 bits
  */
-extern __inline__ int
+extern __GNU_INLINE int
 __swapRP(int i)
 {
 	int ret;
@@ -114,7 +114,7 @@
  * 10 - Round up
  * 11 - Chop
  */
-extern __inline__ enum fp_direction_type
+extern __GNU_INLINE enum fp_direction_type
 __swap87RD(enum fp_direction_type i)
 {
 	int ret;
@@ -130,7 +130,7 @@
 	return (ret);
 }
 
-extern __inline__ double
+extern __GNU_INLINE double
 ceil(double d)
 {
 	/*
@@ -157,7 +157,7 @@
 	return (d);
 }
 
-extern __inline__ double
+extern __GNU_INLINE double
 copysign(double d1, double d2)
 {
 	__asm__ __volatile__(
@@ -171,28 +171,28 @@
 	return (d1);
 }
 
-extern __inline__ double
+extern __GNU_INLINE double
 fabs(double d)
 {
 	__asm__ __volatile__("fabs\n\t" : "+t" (d) : : "cc");
 	return (d);
 }
 
-extern __inline__ float
+extern __GNU_INLINE float
 fabsf(float d)
 {
 	__asm__ __volatile__("fabs\n\t" : "+t" (d) : : "cc");
 	return (d);
 }
 
-extern __inline__ long double
+extern __GNU_INLINE long double
 fabsl(long double d)
 {
 	__asm__ __volatile__("fabs\n\t" : "+t" (d) : : "cc");
 	return (d);
 }
 
-extern __inline__ int
+extern __GNU_INLINE int
 finite(double d)
 {
 	int ret = _HI_WORD(d);
@@ -208,7 +208,7 @@
 	return (ret);
 }
 
-extern __inline__ double
+extern __GNU_INLINE double
 floor(double d)
 {
 	short rd = __swap87RD(fp_negative);
@@ -223,29 +223,29 @@
  *      branchless __isnan
  *      ((0x7ff00000-[((lx|-lx)>>31)&1]|ahx)>>31)&1 = 1 iff x is NaN
  */
-extern __inline__ int
+extern __GNU_INLINE int
 isnan(double d)
 {
 	int ret;
 
 	__asm__ __volatile__(
-		"movl %1,%%ecx\n\t"
-		"negl %%ecx\n\t"			/* ecx <-- -lo_32(x) */
-		"orl  %%ecx,%1\n\t"
-		"shrl $31,%1\n\t"			/* 1 iff lx != 0 */
-		"andl $0x7fffffff,%2\n\t"	/* ecx <-- hi_32(abs(x)) */
-		"orl  %2,%1\n\t"
-		"subl $0x7ff00000,%1\n\t"
-		"negl %1\n\t"
-		"shrl $31,%1\n\t"
-		: "=r" (ret)
-		: "0" (_HI_WORD(d)), "r" (_LO_WORD(d))
-		: "ecx");
+	    "movl %1,%%ecx\n\t"
+	    "negl %%ecx\n\t"			/* ecx <-- -lo_32(x) */
+	    "orl  %%ecx,%1\n\t"
+	    "shrl $31,%1\n\t"			/* 1 iff lx != 0 */
+	    "andl $0x7fffffff,%2\n\t"	/* ecx <-- hi_32(abs(x)) */
+	    "orl  %2,%1\n\t"
+	    "subl $0x7ff00000,%1\n\t"
+	    "negl %1\n\t"
+	    "shrl $31,%1\n\t"
+	    : "=r" (ret)
+	    : "0" (_HI_WORD(d)), "r" (_LO_WORD(d))
+	    : "ecx");
 
 	return (ret);
 }
 
-extern __inline__ int
+extern __GNU_INLINE int
 isnanf(float f)
 {
 	__asm__ __volatile__(
@@ -260,12 +260,12 @@
 	return (f);
 }
 
-extern __inline__ double
+extern __GNU_INLINE double
 rint(double a) {
     return (__inline_rint(a));
 }
 
-extern __inline__ double
+extern __GNU_INLINE double
 scalbn(double d, int n)
 {
 	double dummy;
@@ -281,38 +281,38 @@
 	return (d);
 }
 
-extern __inline__ int
+extern __GNU_INLINE int
 signbit(double d)
 {
 	return (_HI_WORD(d) >> 31);
 }
 
-extern __inline__ int
+extern __GNU_INLINE int
 signbitf(float f)
 {
 	return ((*(uint32_t *)&f) >> 31);
 }
 
-extern __inline__ double
+extern __GNU_INLINE double
 sqrt(double d)
 {
 	return (__inline_sqrt(d));
 }
 
-extern __inline__ float
+extern __GNU_INLINE float
 sqrtf(float f)
 {
 	return (__inline_sqrtf(f));
 }
 
-extern __inline__ long double
+extern __GNU_INLINE long double
 sqrtl(long double ld)
 {
 	__asm__ __volatile__("fsqrt" : "+t" (ld) : : "cc");
 	return (ld);
 }
 
-extern __inline__ int
+extern __GNU_INLINE int
 isnanl(long double ld)
 {
 	int ret = _HIER_WORD(ld);
--- old/usr/src/lib/libm/sparc/src/libm_inlines.h	2016-02-12 11:52:36.455938385 -0500
+++ new/usr/src/lib/libm/sparc/src/libm_inlines.h	2016-02-12 11:52:36.468569721 -0500
@@ -42,7 +42,7 @@
 extern "C" {
 #endif
 
-extern __inline__ double
+extern __GNU_INLINE double
 __inline_sqrt(double d)
 {
 	double ret;
@@ -51,7 +51,7 @@
 	return (ret);
 }
 
-extern __inline__ float
+extern __GNU_INLINE float
 __inline_sqrtf(float f)
 {
 	float ret;
@@ -60,7 +60,7 @@
 	return (ret);
 }
 
-extern __inline__ enum fp_class_type
+extern __GNU_INLINE enum fp_class_type
 fp_classf(float f)
 {
 	enum fp_class_type ret;
@@ -113,7 +113,7 @@
 #define	_HI_WORD(x)	((uint32_t *)&x)[0]
 #define	_LO_WORD(x)	((uint32_t *)&x)[1]
 
-extern __inline__ enum fp_class_type
+extern __GNU_INLINE enum fp_class_type
 fp_class(double d)
 {
 	enum fp_class_type ret;
@@ -169,7 +169,7 @@
 	return (ret);
 }
 
-extern __inline__ int
+extern __GNU_INLINE int
 __swapEX(int i)
 {
 	int ret;
@@ -201,13 +201,13 @@
  * compatibility
  */
 /* ARGSUSED */
-extern __inline__ enum fp_precision_type
+extern __GNU_INLINE enum fp_precision_type
 __swapRP(enum fp_precision_type i)
 {
 	return (0);
 }
 
-extern __inline__ enum fp_direction_type
+extern __GNU_INLINE enum fp_direction_type
 __swapRD(enum fp_direction_type d)
 {
 	enum fp_direction_type ret;
@@ -235,7 +235,7 @@
 	return (ret);
 }
 
-extern __inline__ int
+extern __GNU_INLINE int
 __swapTE(int i)
 {
 	int ret;
@@ -262,19 +262,19 @@
 	return (ret);
 }
 
-extern __inline__ double
+extern __GNU_INLINE double
 sqrt(double d)
 {
 	return (__inline_sqrt(d));
 }
 
-extern __inline__ float
+extern __GNU_INLINE float
 sqrtf(float f)
 {
 	return (__inline_sqrtf(f));
 }
 
-extern __inline__ double
+extern __GNU_INLINE double
 fabs(double d)
 {
 	double ret;
@@ -283,7 +283,7 @@
 	return (ret);
 }
 
-extern __inline__ float
+extern __GNU_INLINE float
 fabsf(float f)
 {
 	float ret;
--- old/usr/src/lib/libm/sparcv9/src/libm_inlines.h	2016-02-12 11:52:36.911195584 -0500
+++ new/usr/src/lib/libm/sparcv9/src/libm_inlines.h	2016-02-12 11:52:36.923966951 -0500
@@ -42,7 +42,7 @@
 extern "C" {
 #endif
 
-extern __inline__ enum fp_class_type
+extern __GNU_INLINE enum fp_class_type
 fp_classf(float f)
 {
 	enum fp_class_type ret;
@@ -92,7 +92,7 @@
 	return (ret);
 }
 
-extern __inline__ enum fp_class_type
+extern __GNU_INLINE enum fp_class_type
 fp_class(double d)
 {
 	enum fp_class_type ret;
@@ -144,7 +144,7 @@
 	return (ret);
 }
 
-extern __inline__ float
+extern __GNU_INLINE float
 __inline_sqrtf(float f)
 {
 	float ret;
@@ -153,7 +153,7 @@
 	return (ret);
 }
 
-extern __inline__ double
+extern __GNU_INLINE double
 __inline_sqrt(double d)
 {
 	double ret;
@@ -162,7 +162,7 @@
 	return (ret);
 }
 
-extern __inline__ int
+extern __GNU_INLINE int
 __swapEX(int i)
 {
 	int ret;
@@ -194,13 +194,13 @@
  * compatibility
  */
 /* ARGSUSED */
-extern __inline__ enum fp_precision_type
+extern __GNU_INLINE enum fp_precision_type
 __swapRP(enum fp_precision_type i)
 {
 	return (0);
 }
 
-extern __inline__ enum fp_direction_type
+extern __GNU_INLINE enum fp_direction_type
 __swapRD(enum fp_direction_type d)
 {
 	enum fp_direction_type ret;
@@ -229,7 +229,7 @@
 	return (ret);
 }
 
-extern __inline__ int
+extern __GNU_INLINE int
 __swapTE(int i)
 {
 	int ret;
@@ -259,19 +259,19 @@
 }
 
 
-extern __inline__ double
+extern __GNU_INLINE double
 sqrt(double d)
 {
 	return (__inline_sqrt(d));
 }
 
-extern __inline__ float
+extern __GNU_INLINE float
 sqrtf(float f)
 {
 	return (__inline_sqrtf(f));
 }
 
-extern __inline__ double
+extern __GNU_INLINE double
 fabs(double d)
 {
 	double ret;
@@ -280,7 +280,7 @@
 	return (ret);
 }
 
-extern __inline__ float
+extern __GNU_INLINE float
 fabsf(float f)
 {
 	float ret;
--- old/usr/src/lib/libsqlite/Makefile.com	2016-02-12 11:52:37.356266906 -0500
+++ new/usr/src/lib/libsqlite/Makefile.com	2016-02-12 11:52:37.368772315 -0500
@@ -245,7 +245,7 @@
 	-$(RM) parse_tmp.y lempar.c
 	$(CP) $(SRCDIR)/parse.y parse_tmp.y
 	$(CP) $(TOOLDIR)/lempar.c lempar.c
-	$(NATIVECC) -o lemon $(TOOLDIR)/lemon.c
+	$(NATIVECC) $(NATIVE_CFLAGS) -o lemon $(TOOLDIR)/lemon.c
 	./lemon parse_tmp.y
 	-$(RM) parse.c parse.h
 	$(CP) parse_tmp.h parse.h
--- old/usr/src/test/zfs-tests/tests/functional/checksum/Makefile.subdirs	2016-02-12 11:52:37.790423333 -0500
+++ new/usr/src/test/zfs-tests/tests/functional/checksum/Makefile.subdirs	2016-02-12 11:52:37.804071049 -0500
@@ -26,8 +26,8 @@
 CMDS = $(CMD32) $(CMD64)
 $(CMDS) := FILEMODE = 0555
 
-C99MODE = -xc99=%all
-CFLAGS = -I $(SRC)/uts/common -D_KERNEL
+C99MODE = $(C99_ENABLE)
+CFLAGS += -I $(SRC)/uts/common -D_KERNEL
 LDLIBS += -lmd
 LINTFLAGS += -u
 LINTFLAGS64 += -u
--- old/usr/src/uts/common/io/audio/drv/audioemu10k/dsp/asm10k.c	2016-02-12 11:52:38.216125644 -0500
+++ new/usr/src/uts/common/io/audio/drv/audioemu10k/dsp/asm10k.c	2016-02-12 11:52:38.229855361 -0500
@@ -437,7 +437,6 @@
 {
 	char *parm, *def;
 	int n, num;
-	char tmp[128];
 
 	CHECK_COUNT(tokens, cnt, 3, 3);
 
@@ -605,7 +604,6 @@
 static void
 compile_asm(char **tokens, int cnt)
 {
-	char *parms[4];
 	sym_t *symbols[4];
 #define	EMIT(o, r, a, x, y) \
 	fle.code[pc*2] =  ((x) << 10) | (y);			\
@@ -614,7 +612,7 @@
 	fle.code[pc*2] =  ((x) << 12) | (y);			\
 	fle.code[pc*2+1] = ((o) << 24) | ((r) << 12) | a; pc++
 
-	int i, n = 0, nerr = 0;
+	int i, nerr = 0;
 	int ninputs = 0;
 
 	CHECK_COUNT(tokens, cnt, 5, 5);
@@ -813,7 +811,6 @@
 static void
 produce_map(char *name)
 {
-	char fname[1024];
 	int i;
 	FILE *f;
 
@@ -957,8 +954,7 @@
 int
 main(int argc, char *argv[])
 {
-	char line[4096], *p, *s, *outfile;
-	char *iline;
+	char *outfile;
 	int i;
 	FILE *input;
 	char *tokens[10];
--- old/usr/src/uts/i86pc/Makefile.rules	2016-02-12 11:52:38.720789282 -0500
+++ new/usr/src/uts/i86pc/Makefile.rules	2016-02-12 11:52:38.736422600 -0500
@@ -219,7 +219,7 @@
 DBOOT_MACH_64	= -D_BOOT_TARGET_amd64
 DBOOT_DEFS	= -D_BOOT $(DBOOT_MACH_$(CLASS))
 DBOOT_DEFS	+= -D_MACHDEP -D_KMEMUSER -U_KERNEL -D_I32LPx
-DBOOT_FLAGS	= $(CCVERBOSE) $(CERRWARN) $(CCNOAUTOINLINE)
+DBOOT_FLAGS	= $(CCVERBOSE) $(C99MODE) $(CERRWARN) $(CCNOAUTOINLINE)
 
 DBOOT_CC_INCL	= -I$(SRC)/common -I$(SRC)/common/util $(INCLUDE_PATH)
 DBOOT_AS_INCL	= $(AS_INC_PATH)
@@ -244,7 +244,7 @@
 	$(DBOOT_AS) -P -D_ASM $(DBOOT_DEFS) $(DBOOT_AS_INCL) -o $@ $<
 
 $(DBOOT_OBJS_DIR)/%.o:		$(COMMONBASE)/crypto/sha1/%.c
-	$(i386_CC) $(CERRWARN) -O $(DBOOT_DEFS) $(DBOOT_CC_INCL) -c -o $@ $<
+	$(i386_CC) $(DBOOT_FLAGS) -O $(DBOOT_DEFS) $(DBOOT_CC_INCL) -c -o $@ $<
 
 $(DBOOT_OBJS_DIR)/%.o:		$(COMMONBASE)/util/%.c
 	$(i386_CC) $(DBOOT_FLAGS) -O $(DBOOT_DEFS) $(DBOOT_CC_INCL) -c -o $@ $<
--- old/usr/src/uts/i86pc/genassym/Makefile	2016-02-12 11:52:39.213533829 -0500
+++ new/usr/src/uts/i86pc/genassym/Makefile	2016-02-12 11:52:39.226087660 -0500
@@ -83,8 +83,8 @@
 # Create assym.h
 #
 $(GENASSYM): $(GENASSYM_SRC)
-	$(NATIVECC) $(ALWAYS_DEFS) $(GENASSYM_DEFS) $(NATIVE_INC_PATH) \
-	   -o $@ $(GENASSYM_SRC)
+	$(NATIVECC) $(NATIVE_CFLAGS) $(ALWAYS_DEFS) $(GENASSYM_DEFS) \
+	   $(NATIVE_INC_PATH) -o $@ $(GENASSYM_SRC)
 
 $(ASSYM_H): $(OFFSETS_SRC) $(PLATFORM_OFFSETS_SRC) $(GENASSYM)
 	$(OFFSETS_CREATE) <$(OFFSETS_SRC) >$@
--- old/usr/src/uts/i86pc/ml/genassym.c	2016-02-12 11:52:39.641111955 -0500
+++ new/usr/src/uts/i86pc/ml/genassym.c	2016-02-12 11:52:39.653740492 -0500
@@ -81,7 +81,7 @@
 	printf("#define\tPIC_NSEOI 0x%x\n", PIC_NSEOI);
 	printf("#define\tPIC_SEOI_LVL7 0x%x\n", PIC_SEOI_LVL7);
 
-	printf("#define\tNANOSEC 0x%x\n", NANOSEC);
+	printf("#define\tNANOSEC 0x%llx\n", NANOSEC);
 	printf("#define\tADJ_SHIFT 0x%x\n", ADJ_SHIFT);
 
 	printf("#define\tSSLEEP 0x%x\n", SSLEEP);
@@ -150,9 +150,9 @@
 	printf("#define\tMAXSYSARGS 0x%x\n", MAXSYSARGS);
 
 	/* Hack value just to allow clock to be kicked */
-	printf("#define\tNSEC_PER_CLOCK_TICK 0x%x\n", NANOSEC / 100);
+	printf("#define\tNSEC_PER_CLOCK_TICK 0x%llx\n", NANOSEC / 100);
 
-	printf("#define\tNSEC_PER_COUNTER_TICK 0x%x\n", NANOSEC / PIT_HZ);
+	printf("#define\tNSEC_PER_COUNTER_TICK 0x%llx\n", NANOSEC / PIT_HZ);
 
 	printf("#define\tPITCTR0_PORT 0x%x\n", PITCTR0_PORT);
 	printf("#define\tPITCTL_PORT 0x%x\n", PITCTL_PORT);
--- old/usr/src/uts/i86xpv/Makefile.rules	2016-02-12 11:52:40.080130102 -0500
+++ new/usr/src/uts/i86xpv/Makefile.rules	2016-02-12 11:52:40.092842252 -0500
@@ -184,7 +184,8 @@
 
 DBOOT_XARCH_32 = $(i386_XARCH)
 DBOOT_XARCH_64 = $(amd64_XARCH)
-DBOOT_CFLAGS = $(DBOOT_XARCH_$(CLASS)) $(CERRWARN) $(CCNOAUTOINLINE) -O
+DBOOT_CFLAGS = $(DBOOT_XARCH_$(CLASS)) $(C99MODE) $(CERRWARN) \
+    $(CCNOAUTOINLINE) -O
 
 DBOOT_AS_XARCH_32 = $(i386_AS_XARCH)
 DBOOT_AS_XARCH_64 = $(amd64_AS_XARCH)
--- old/usr/src/uts/i86xpv/genassym/Makefile	2016-02-12 11:52:40.527704700 -0500
+++ new/usr/src/uts/i86xpv/genassym/Makefile	2016-02-12 11:52:40.540257887 -0500
@@ -23,7 +23,6 @@
 # Copyright 2007 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-# ident	"%Z%%M%	%I%	%E% SMI"
 #
 #	This makefile drives the production of assym.h through
 #	compile time intialized data.
@@ -83,8 +82,8 @@
 # Create assym.h
 #
 $(GENASSYM): $(GENASSYM_SRC)
-	$(NATIVECC) $(ALWAYS_DEFS) $(GENASSYM_DEFS) $(NATIVE_INC_PATH) \
-	   -o $@ $(GENASSYM_SRC)
+	$(NATIVECC) $(NATIVE_CFLAGS) $(ALWAYS_DEFS) $(GENASSYM_DEFS) \
+	    $(NATIVE_INC_PATH) -o $@ $(GENASSYM_SRC)
 
 $(ASSYM_H): $(OFFSETS_SRC) $(PLATFORM_OFFSETS_SRC) $(GENASSYM)
 	$(OFFSETS_CREATE) <$(OFFSETS_SRC) >$@
--- old/usr/src/uts/intel/audioemu10k/Makefile	2016-02-12 11:52:41.034389775 -0500
+++ new/usr/src/uts/intel/audioemu10k/Makefile	2016-02-12 11:52:41.048246096 -0500
@@ -94,7 +94,7 @@
 $(BINARY):	$(OBJS_DIR)/asm10k $(DSP_HDRS)
 
 $(ASM10K):	$(DSP_SRCDIR)/asm10k.c
-	$(CC) -o $@ $(DSP_SRCDIR)/asm10k.c
+	$(NATIVECC) $(NATIVE_CFLAGS) -o $@ $(DSP_SRCDIR)/asm10k.c
 
 $(DSP_HDRS): $(ASM10K) $(DSP_SRCS)
 	$(CPP) -D$(MODEL10K) -I$(DSP_SRCDIR) $(DSP_SRCDIR)/emu10k.dsp | \
